Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000154 [cparser] unknown crash always 2015-08-01 08:54 2016-01-03 03:28
Reporter uuwaan View Status public  
Assigned To Matze
Priority normal Resolution fixed  
Status closed   Product Version 0.9.14
Summary 0000154: Unexpected token error and segfault
Description cparser -c -O3 -fno-strict-aliasing -march=native -mtune=native -o stdlib_strutils.o stdlib_strutils.c
*** some warnings about redundant and unnecessary declarations ***
stdlib_strutils.c:775:10: error: unexpected token Segmentation fault
Additional Information I'm currently trying various C backends for Nim compiler (nim-lang.org). Nim translates program to C and then C source is compiled to native code. Generated C code for strutils module causes cparser to print error and crash.
Tags No tags attached.
Attached Files zip file icon strutils.zip [^] (13,008 bytes) 2015-08-01 08:54

- Relationships

-  Notes
(0000227)
UniQ (developer)
2015-08-07 16:09

Added a reduced test to the testsuite: preproctest/concat2.c
(0000234)
Matze (administrator)
2015-10-02 09:34

Fixed in 794914b2a7efedce9dc77867002c6eec94e5fdcc

- Issue History
Date Modified Username Field Change
2015-08-01 08:54 uuwaan New Issue
2015-08-01 08:54 uuwaan File Added: strutils.zip
2015-08-07 16:09 UniQ Note Added: 0000227
2015-08-07 16:09 UniQ Assigned To => Matze
2015-08-07 16:09 UniQ Status new => confirmed
2015-10-02 09:34 Matze Note Added: 0000234
2015-10-02 09:34 Matze Status confirmed => resolved
2015-10-02 09:34 Matze Resolution open => fixed
2016-01-03 03:28 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker